import {
  card_style_css_default
} from "./chunk.3ULLOORV.js";
import {
  GdsContainer
} from "./chunk.NBRYPX7J.js";
import {
  styleExpressionProperty
} from "./chunk.ADPMTWTS.js";
import {
  tokens
} from "./chunk.OC725E4N.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/layout/card/card.ts
var GdsCard = class extends GdsContainer {
  render() {
    return html`<slot></slot>`;
  }
};
GdsCard.styles = [tokens, card_style_css_default];
__decorateClass([
  styleExpressionProperty({
    property: "box-shadow",
    valueTemplate: (v) => `var(--gds-shadow-${v})`
  })
], GdsCard.prototype, "shadow", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => {
      const [size, color] = v.split("/");
      return `var(--gds-space-${size}) solid ${color ? `var(--gds-sys-color-${color})` : "currentColor"}`;
    },
    styleTemplate: (_prop, values) => {
      const top = values[0];
      const right = values.length > 1 ? values[1] : top;
      const bottom = values.length > 2 ? values[2] : top;
      const left = values.length > 3 ? values[3] : top;
      return `border-top: ${top}; border-right: ${right}; border-bottom: ${bottom}; border-left: ${left};`;
    }
  })
], GdsCard.prototype, "border", 2);
__decorateClass([
  styleExpressionProperty({
    property: "border-radius",
    valueTemplate: (v) => `var(--gds-space-${v})`
  })
], GdsCard.prototype, "radius", 2);
__decorateClass([
  styleExpressionProperty({
    property: "backdrop-filter",
    valueTemplate: (v) => `blur(${v})`
  })
], GdsCard.prototype, "filter", 2);
__decorateClass([
  styleExpressionProperty({
    property: "mask-image",
    valueTemplate: (v) => `linear-gradient(to ${v}, currentColor 40%, transparent)`
  })
], GdsCard.prototype, "mask", 2);
GdsCard = __decorateClass([
  gdsCustomElement("gds-card")
], GdsCard);

export {
  GdsCard
};
