import {
  divider_style_css_default
} from "./chunk.VS5JKIZQ.js";
import {
  styleExpressionProperty
} from "./chunk.ADPMTWTS.js";
import {
  tokens
} from "./chunk.OC725E4N.js";
import {
  GdsElement
} from "./chunk.ZQ4D5K7J.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/content/divider/divider.ts
var GdsDivider = class extends GdsElement {
  render() {
    return html`<hr />`;
  }
};
GdsDivider.styles = [tokens, divider_style_css_default];
__decorateClass([
  styleExpressionProperty({
    property: "color",
    valueTemplate: (v) => {
      const [colorName, transparency] = v.split("/");
      if (transparency) {
        return `color-mix(in srgb, var(--gds-sys-color-${colorName}) ${parseFloat(transparency) * 100}%, transparent 0%)`;
      } else {
        return `var(--gds-sys-color-${colorName})`;
      }
    }
  })
], GdsDivider.prototype, "color", 2);
__decorateClass([
  styleExpressionProperty({
    property: "--_size",
    selector: "hr",
    valueTemplate: (v) => `var(--gds-space-${v})`
  })
], GdsDivider.prototype, "size", 2);
__decorateClass([
  styleExpressionProperty({
    property: "opacity",
    selector: "hr",
    valueTemplate: (v) => v
  })
], GdsDivider.prototype, "opacity", 2);
GdsDivider = __decorateClass([
  gdsCustomElement("gds-divider")
], GdsDivider);

export {
  GdsDivider
};
