import {
  DynamicStylesController
} from "./chunk.W7CV3QYI.js";
import {
  getUnscopedTagName
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/gds-element.ts
import { state } from "lit/decorators.js";
import { LitElement } from "lit";
import "reflect-metadata";
var GdsElement = class extends LitElement {
  constructor() {
    super();
    /**
     * The unscoped name of this element. This attribute is set automatically by the element and is inteded to be read-only.
     *
     * @attribute gds-element
     * @readonly
     */
    this.gdsElementName = "";
    this._isUsingTransitionalStyles = false;
    this._dynamicStylesController = new DynamicStylesController(this);
  }
  connectedCallback() {
    super.connectedCallback();
    this.gdsElementName = getUnscopedTagName(this.tagName.toLowerCase()) || this.gdsElementName;
    this.setAttribute("gds-element", this.gdsElementName);
  }
};
__decorateClass([
  state()
], GdsElement.prototype, "_isUsingTransitionalStyles", 2);

export {
  GdsElement
};
