import {
  TransitionalStyles
} from "./chunk.ZRTOIGOM.js";
import {
  GdsElement
} from "./chunk.ZQ4D5K7J.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/theme/theme.ts
import { property } from "lit/decorators.js";
import { css } from "lit";
var GdsTheme = class extends GdsElement {
  constructor() {
    super(...arguments);
    this.colorScheme = "light";
  }
  connectedCallback() {
    super.connectedCallback();
    TransitionalStyles.instance.apply(this, "gds-theme");
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsTheme.styles = css`
    :host {
      display: contents;
    }
  `;
__decorateClass([
  property({ reflect: true, attribute: "color-scheme" })
], GdsTheme.prototype, "colorScheme", 2);
GdsTheme = __decorateClass([
  gdsCustomElement("gds-theme")
], GdsTheme);

export {
  GdsTheme
};
