import {
  grid_style_css_default
} from "./chunk.KYBMS7FP.js";
import {
  styleExpressionProperty
} from "./chunk.ADPMTWTS.js";
import {
  tokens
} from "./chunk.OC725E4N.js";
import {
  GdsElement
} from "./chunk.ZQ4D5K7J.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/layout/grid/grid.ts
var GdsGrid = class extends GdsElement {
  render() {
    return html`<slot></slot>`;
  }
};
GdsGrid.styles = [tokens, grid_style_css_default];
__decorateClass([
  styleExpressionProperty({
    property: "--_c",
    valueTemplate: (v) => v
  })
], GdsGrid.prototype, "columns", 2);
__decorateClass([
  styleExpressionProperty({
    styleTemplate: (_prop, values) => {
      const colGap = values[0];
      const rowGap = values[1] || colGap;
      return `--_gap-column: ${colGap}; --_gap-row: ${rowGap};`;
    }
  })
], GdsGrid.prototype, "gap", 2);
__decorateClass([
  styleExpressionProperty()
], GdsGrid.prototype, "padding", 2);
__decorateClass([
  styleExpressionProperty({
    attribute: "auto-columns",
    property: "--_col-width",
    valueTemplate: (v) => `${v}px`
  })
], GdsGrid.prototype, "autoColumns", 2);
GdsGrid = __decorateClass([
  gdsCustomElement("gds-grid")
], GdsGrid);

export {
  GdsGrid
};
